Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSDimage

## Specification of methods

### destroyImage Function Description

Form
  long destroyImage()
Function
  Destruct a read image file
Description
Parameters
  None.
Return value
  WS_NO_ERR= Normal, otherwise error
Notice
Samples

         //Obtain an image instance of the image file, 001.jpg
         WSDimage* image = WSGIappImageSet()->getImage("001.jpg");
         //Destroy the contents once it has been read
         image->destroyImage();

### setImageName Function Description

Form
  long setImageName(char* iname)
Function
  Set an image file name
Description
Parameters

  (out)char* cname | Image file name

Return value
  WS_NO_ERR= Normal, otherwise error
Notice
Samples

         //Obtain an image instance of the image file, 001.jpg
         WSDimage* image = WSGIappImageSet()->getImage("001.jpg");
         //The contents of the image instance become the image file, 002.jpg from 001.jpg
         image->setImageName("002.jpg");

  ### getImageWidth Function Description

  Form
    long getImageWidth()
  Function
    Obtain an image width
  Description
  Parameters
    None.
  Return value
    Image width
  Notice
  Samples

           //Obtain an image instance of the image file 001.jpg
           WSDimage* image = WSGIappImageSet()->getImage("001.jpg");
           long width = image->getImageWidth();
           long height = image->getImageHeight();

  ### getImageHeight Function Description

  Form
    long getImageHeight()
  Function
    Obtain an image height
  Description
  Parameters
    None.
  Return value
    Image height
  Notice
  Samples
    Please refer to getImageWidth()

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004